# Makefile.in generated by automake 1.9.6 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
subdir = tools
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(monodocdir)"
monodocDATA_INSTALL = $(INSTALL_DATA)
DATA = $(monodoc_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
API_VERSION = @API_VERSION@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BUILD_CSERRORS_FALSE = @BUILD_CSERRORS_FALSE@
BUILD_CSERRORS_TRUE = @BUILD_CSERRORS_TRUE@
CSC = gmcs
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
GACUTIL = @GACUTIL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
RUNTIME = @RUNTIME@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
USE_CYGPATH_FALSE = @USE_CYGPATH_FALSE@
USE_CYGPATH_TRUE = @USE_CYGPATH_TRUE@
VERSION = @VERSION@
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
monodoc_refdir = @monodoc_refdir@
monodocdir = @monodocdir@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
monodoc_DATA = monodocer.exe monodocer1.exe monodocs2html.exe monodocs2slashdoc.exe
CLEANFILES = monodocer.exe monodocs2html.exe monodocs2slashdoc.exe 
monodocer_sources = \
	monodocer.cs

monodocs2slashdoc_sources = \
	monodocs2slashdoc.cs

monodocs2html_sources = \
	monodocs2html.cs	 overview.xsl stylesheet.xsl defaulttemplate.xsl

EXTRA_DIST = $(monodocer_sources) $(monodocs2html_sources) $(monodocs2slashdoc_sources) \
	bsd-man-to-ecma.pl bsd-man-to-exception.pl

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tools/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tools/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
install-monodocDATA: $(monodoc_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(monodocdir)" || $(mkdir_p) "$(DESTDIR)$(monodocdir)"
	@list='$(monodoc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(monodocDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(monodocdir)/$$f'"; \
	  $(monodocDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(monodocdir)/$$f"; \
	done

uninstall-monodocDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(monodoc_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(monodocdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(monodocdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(monodocdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-monodocDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-monodocDATA

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-monodocDATA install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
	uninstall-am uninstall-info-am uninstall-monodocDATA


monodocer.exe: $(monodocer_sources)
	$(CSC) -debug $(srcdir)/monodocer.cs -out:$@ -r:Mono.GetOptions

monodocer1.exe: $(monodocer_sources)
	mcs -debug -d:NET_1_0 $(srcdir)/monodocer.cs -out:$@ -r:Mono.GetOptions

monodocs2html.exe: $(monodocs2html_sources)
	$(CSC) -debug $(srcdir)/monodocs2html.cs -out:monodocs2html.exe -r:Mono.GetOptions \
	-resource:$(srcdir)/overview.xsl -resource:$(srcdir)/stylesheet.xsl -resource:$(srcdir)/defaulttemplate.xsl

monodocs2slashdoc.exe: $(monodocs2slashdoc_sources)
	$(CSC) -debug $(srcdir)/monodocs2slashdoc.cs -r:Mono.GetOptions -out:monodocs2slashdoc.exe

xpath.exe: xpath.cs
	$(CSC) -debug xpath.cs

DocTest.dll: 
	$(CSC) $(TEST_CSCFLAGS) -debug -unsafe -target:library -out:$@ DocTest.cs

DocTest.dll-v1: 
	cp DocTest-v1.cs DocTest.cs
	-rm DocTest.dll
	$(MAKE) TEST_CSCFLAGS=$(TEST_CSCFLAGS) DocTest.dll

DocTest.dll-v2: 
	cp DocTest-v1.cs DocTest.cs
	patch -p0 < DocTest-v2.patch
	-rm DocTest.dll
	$(MAKE) TEST_CSCFLAGS=$(TEST_CSCFLAGS) DocTest.dll

check-monodocer-update: monodocer.exe
	find DocTest/en.expected -name \*.xml -exec rm "{}" \;
	$(MAKE) DocTest.dll-v1
	mono --debug monodocer.exe \
		-assembly:DocTest.dll -path:DocTest/en.expected -pretty

check-monodocer: monodocer.exe
	rm -Rf DocTest/en.actual
	$(MAKE) DocTest.dll-v1
	mono --debug monodocer.exe \
		-assembly:DocTest.dll -path:DocTest/en.actual -pretty
	diff --exclude=.svn -rup DocTest/en.expected DocTest/en.actual
	mono --debug monodocer.exe \
		-assembly:DocTest.dll -path:DocTest/en.actual -pretty
	diff --exclude=.svn -rup DocTest/en.expected DocTest/en.actual
	mono --debug monodocer.exe -namespace:Mono.DocTest.Generic -pretty \
		-assembly:DocTest.dll -path:DocTest/en.actual
	diff --exclude=.svn -rup DocTest/en.expected DocTest/en.actual

check-monodocer-since-update: monodocer.exe
	find DocTest/en.expected.since -name \*.xml -exec rm "{}" \;
	$(MAKE) DocTest.dll-v1
	mono --debug monodocer.exe \
		-assembly:DocTest.dll -path:DocTest/en.expected.since -pretty
	$(MAKE) DocTest.dll-v2
	mono --debug monodocer.exe -since:"Version 2.0" \
		-assembly:DocTest.dll -path:DocTest/en.expected.since -pretty

check-monodocer-since: monodocer.exe
	rm -Rf DocTest/en.actual
	$(MAKE) DocTest.dll-v1
	mono --debug monodocer.exe \
		-assembly:DocTest.dll -path:DocTest/en.actual -pretty
	$(MAKE) DocTest.dll-v2
	mono --debug monodocer.exe -since:"Version 2.0" \
		-assembly:DocTest.dll -path:DocTest/en.actual -pretty
	diff --exclude=.svn -rup DocTest/en.expected.since DocTest/en.actual

check-monodocer-importslashdoc-update: monodocer.exe
	find DocTest/en.expected.importslashdoc -name \*.xml -exec rm "{}" \;
	$(MAKE) DocTest.dll-v1 TEST_CSCFLAGS=-doc:DocTest.xml
	mono --debug monodocer.exe -importslashdoc:DocTest.xml \
		-assembly:DocTest.dll -path:DocTest/en.expected.importslashdoc -pretty

check-monodocer-importslashdoc: monodocer.exe
	rm -Rf DocTest/en.actual
	$(MAKE) DocTest.dll-v1 TEST_CSCFLAGS=-doc:DocTest.xml
	mono --debug monodocer.exe -importslashdoc:DocTest.xml \
		-assembly:DocTest.dll -path:DocTest/en.actual -pretty
	diff --exclude=.svn -rup DocTest/en.expected.importslashdoc DocTest/en.actual

check-monodocer-importecmadoc-update: monodocer.exe
	find DocTest/en.expected.importecmadoc -name \*.xml -exec rm "{}" \;
	$(MAKE) DocTest.dll-v1
	mono --debug monodocer.exe -importecmadoc:TestEcmaDocs.xml \
		-type:System.AsyncCallback -type:System.Environment -type:System.Array \
		-assembly:DocTest.dll -path:DocTest/en.expected.importecmadoc -pretty

check-monodocer-importecmadoc: monodocer.exe
	rm -Rf DocTest/en.actual
	$(MAKE) DocTest.dll-v1
	mono --debug monodocer.exe -importecmadoc:TestEcmaDocs.xml \
		-type:System.AsyncCallback -type:System.Environment -type:System.Array \
		-assembly:DocTest.dll -path:DocTest/en.actual -pretty
	diff --exclude=.svn -rup DocTest/en.expected.importecmadoc DocTest/en.actual

check-monodocer-ignore_extra_docs-update:

check-monodocer-ignore_extra_docs: check-monodocer-since
	$(MAKE) DocTest.dll-v1
	mono --debug monodocer.exe -pretty -overrides -ignore_extra_docs \
		-assembly:DocTest.dll -path:en
	diff --exclude=.svn -rup DocTest/en.expected.since DocTest/en.actual

check-monodocs2html-update: monodocs2html.exe
	find DocTest/html.expected -name \*.html -exec rm "{}" \;
	mono --debug monodocs2html.exe \
		-source:DocTest/en.expected.importslashdoc -dest:DocTest/html.expected

check-monodocs2html: check-monodocer monodocs2html.exe
	rm -Rf DocTest/html.actual
	mono --debug monodocs2html.exe \
		-source:DocTest/en.expected.importslashdoc -dest:DocTest/html.actual
	diff --exclude=.svn -rup DocTest/html.expected DocTest/html.actual

check : check-doc-tools

check-update : check-doc-tools-update

check-doc-tools: check-monodocer-since \
	check-monodocer-ignore_extra_docs \
	check-monodocer-importecmadoc \
	check-monodocer-importslashdoc \
	check-monodocer \
	check-monodocs2html

check-doc-tools-update: check-monodocer-since-update \
		check-monodocer-ignore_extra_docs-update \
		check-monodocer-importecmadoc-update \
		check-monodocer-importslashdoc-update \
		check-monodocer-update \
		check-monodocs2html-update

clean:
	-rm DocTest.dll DocTest.dll.mdb monodocer.exe monodocer.exe.mdb
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
